// Package imports:
import 'package:freezed_annotation/freezed_annotation.dart';
import 'package:sghi_core/afya_moja_core/src/domain/core/entities/user_data.dart';
import 'package:sghi_core/communities/models/strings.dart';

part 'client_profile.freezed.dart';
part 'client_profile.g.dart';

@Freezed(makeCollectionsUnmodifiable: false)
class ClientProfile with _$ClientProfile {
  factory ClientProfile({
    @JsonKey(name: 'id') String? id,
    @JsonKey(name: 'user') UserData? user,
  }) = _ClientProfile;

  factory ClientProfile.fromJson(Map<String, dynamic> json) =>
      _$ClientProfileFromJson(json);

  factory ClientProfile.initial() => ClientProfile(
        id: UNKNOWN,
        user: UserData.initial(),
      );
}
